package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrLock;

/**
 * 锁开锁关阀门状态Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrLockService 
{
    /**
     * 查询锁开锁关阀门状态
     * 
     * @param id 锁开锁关阀门状态ID
     * @return 锁开锁关阀门状态
     */
    public TPssrLock selectTPssrLockById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询锁开锁关阀门状态列表
     * 
     * @param tPssrLock 锁开锁关阀门状态
     * @return 锁开锁关阀门状态集合
     */
    public List<TPssrLock> selectTPssrLockList(TPssrLock tPssrLock);

    /**
     * 新增锁开锁关阀门状态
     * 
     * @param tPssrLock 锁开锁关阀门状态
     * @return 结果
     */
    public int insertTPssrLock(TPssrLock tPssrLock);

    /**
     * 修改锁开锁关阀门状态
     * 
     * @param tPssrLock 锁开锁关阀门状态
     * @return 结果
     */
    public int updateTPssrLock(TPssrLock tPssrLock);

    /**
     * 批量删除锁开锁关阀门状态
     * 
     * @param ids 需要删除的锁开锁关阀门状态ID
     * @return 结果
     */
    public int deleteTPssrLockByIds(Long[] ids);

    /**
     * 删除锁开锁关阀门状态信息
     * 
     * @param id 锁开锁关阀门状态ID
     * @return 结果
     */
    public int deleteTPssrLockById(Long id);
}
